> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customers

> Get Customers



## OpenAPI

````yaml get /customers
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /customers:
    get:
      tags:
        - Customers
      summary: Get Customers
      description: Get Customers
      operationId: getCustomers
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
              required:
                - merchant_key
            examples:
              Get Customers:
                value:
                  merchant_key: '{{merchant_key}}'
      responses:
        '200':
          description: Get Customers
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '493'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 16:37:03 GMT
            ETag:
              schema:
                type: string
                example: W/"1ed-LAW37h1suBd3u3hQJT62UPI6KIo"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      allList:
                        type: array
                        items:
                          type: object
                          properties:
                            Email:
                              type: string
                              example: john@fractal.com
                            Phone:
                              type: string
                              example: '5134140000'
                            create_date:
                              type: string
                              example: '2024-08-21T16:32:22.000Z'
                            customer_id:
                              type: string
                              example: c_f10702845f
                            first_name:
                              type: string
                              example: John
                            last_name:
                              type: string
                              example: Woe
                        example:
                          - Email: john@fractal.com
                            Phone: '5134140000'
                            create_date: '2024-08-21T16:32:22.000Z'
                            customer_id: c_f10702845f
                            first_name: John
                            last_name: Woe
                          - Email: mike@james.com
                            Phone: '4548591474'
                            create_date: '2024-07-15T16:12:35.000Z'
                            customer_id: c_0c5f67e242
                            first_name: John F
                            last_name: Doe
                      page:
                        type: number
                        example: 1
                      perPage:
                        type: number
                        example: 20
                      totalCount:
                        type: number
                        example: 2
                      totalPage:
                        type: number
                        example: 1
                  message:
                    type: string
                    example: All customer list
                  result:
                    type: boolean
                    example: true
              examples:
                Get Customers:
                  value:
                    data:
                      allList:
                        - Email: john@fractal.com
                          Phone: '5134140000'
                          create_date: '2024-08-21T16:32:22.000Z'
                          customer_id: c_f10702845f
                          first_name: John
                          last_name: Woe
                        - Email: mike@james.com
                          Phone: '4548591474'
                          create_date: '2024-07-15T16:12:35.000Z'
                          customer_id: c_0c5f67e242
                          first_name: John F
                          last_name: Doe
                      page: 1
                      perPage: 20
                      totalCount: 2
                      totalPage: 1
                    message: All customer list
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````